Merge "Remove legacy puppet-openstackci jobs"

This commit is contained in:
Zuul 2018-06-23 17:48:04 +00:00 committed by Gerrit Code Review
commit 54517095f8
7 changed files with 0 additions and 551 deletions

View File

@ -1,15 +0,0 @@
- hosts: primary
tasks:
- name: Copy files from {{ ansible_user_dir }}/workspace/ on node
synchronize:
src: '{{ ansible_user_dir }}/workspace/'
dest: '{{ zuul.executor.log_root }}'
mode: pull
copy_links: true
verify_host: true
rsync_opts:
- --include=/logs/**
- --include=*/
- --exclude=*
- --prune-empty-dirs

View File

@ -1,127 +0,0 @@
- hosts: all
name: Autoconverted job legacy-puppet-openstackci-puppet-beaker-rspec-centos-7 from
old job gate-puppet-openstackci-puppet-beaker-rspec-centos-7
roles:
- bindep
tasks:
- name: Ensure legacy workspace directory
file:
path: '{{ ansible_user_dir }}/workspace'
state: directory
- shell:
cmd: |
set -e
set -x
CLONEMAP=`mktemp`
function cleanup {
# In cases where zuul-cloner is aborted during a git
# clone operation, git will remove the git work tree in
# its cleanup. The work tree in these jobs is the
# workspace directory, which means that subsequent
# jenkins post-build actions can not run because the
# workspace has been removed.
# To reduce the likelihood of this having an impact,
# recreate the workspace directory if needed
mkdir -p $WORKSPACE
rm -f $CLONEMAP
}
trap cleanup EXIT
cat > $CLONEMAP << EOF
clonemap:
- name: $ZUUL_PROJECT
dest: .
EOF
/usr/zuul-env/bin/zuul-cloner -m $CLONEMAP --cache-dir /opt/git \
git://git.openstack.org $ZUUL_PROJECT
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
set -e
set -x
ZUUL_BRANCH_REAL=${ZUUL_BRANCH:-master}
# Workaround for puppet-ceph, where we need to checkout
# puppet-openstack-integration from stable/pike when working on
# stable/jewel.
# Ceph Jewel works with Newton to Pike
if [[ "$ZUUL_BRANCH" == "stable/jewel" ]]; then
ZUUL_BRANCH_REAL='stable/pike'
fi
export ZUUL_REF=${ZUUL_REF:-None}
CLONEMAP=`mktemp`
function cleanup {
rm -f $CLONEMAP
}
trap cleanup EXIT
cat > $CLONEMAP << EOF
clonemap:
- name: openstack/puppet-openstack-integration
dest: puppet-openstack-integration
EOF
/usr/zuul-env/bin/zuul-cloner -m $CLONEMAP \
--cache-dir /opt/git \
--zuul-branch $ZUUL_BRANCH_REAL \
git://git.openstack.org openstack/puppet-openstack-integration
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
set -e
set -x
if [ -f /usr/bin/yum ]; then
sudo yum -y remove rdo-release "centos-release-openstack-*" "centos-release-ceph-*"
sudo yum -y install libxml2-devel libxslt-devel ruby-devel zlib-devel
sudo yum -y groupinstall "Development Tools"
# Uninstall python-requests from pip, since we install it in
# system-config/install_puppet.sh
sudo pip uninstall requests -y || true
elif [ -f /usr/bin/apt-get ]; then
sudo apt-get update
sudo apt-get install -y libxml2-dev libxslt-dev ruby-dev zlib1g-dev
fi
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
echo "" | sudo tee -a /etc/ssh/sshd_config
echo "Match address 127.0.0.1" | sudo tee -a /etc/ssh/sshd_config
echo " PermitRootLogin without-password" | sudo tee -a /etc/ssh/sshd_config
echo "" | sudo tee -a /etc/ssh/sshd_config
echo "Match address ::1" | sudo tee -a /etc/ssh/sshd_config
echo " PermitRootLogin without-password" | sudo tee -a /etc/ssh/sshd_config
mkdir -p .ssh
ssh-keygen -f ~/.ssh/id_rsa -b 2048 -P ""
sudo mkdir -p /root/.ssh
cat ~/.ssh/id_rsa.pub | sudo tee -a /root/.ssh/authorized_keys
if [ -f /usr/bin/yum ]; then
sudo systemctl reload sshd
elif [ -f /usr/bin/apt-get ]; then
sudo service ssh restart
fi
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
trap "puppet-openstack-integration/copy_logs.sh" EXIT
mkdir .bundled_gems
export GEM_HOME=`pwd`/.bundled_gems
gem install bundler --no-rdoc --no-ri --verbose
$GEM_HOME/bin/bundle install --retry 3
export BEAKER_set=nodepool-centos7
export BEAKER_debug=yes
export BEAKER_color=no
$GEM_HOME/bin/bundle exec rspec spec/acceptance
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'

View File

@ -1,15 +0,0 @@
- hosts: primary
tasks:
- name: Copy files from {{ ansible_user_dir }}/workspace/ on node
synchronize:
src: '{{ ansible_user_dir }}/workspace/'
dest: '{{ zuul.executor.log_root }}'
mode: pull
copy_links: true
verify_host: true
rsync_opts:
- --include=/logs/**
- --include=*/
- --exclude=*
- --prune-empty-dirs

View File

@ -1,127 +0,0 @@
- hosts: all
name: Autoconverted job legacy-puppet-openstackci-puppet-beaker-rspec-ubuntu-trusty
from old job gate-puppet-openstackci-puppet-beaker-rspec-ubuntu-trusty
roles:
- bindep
tasks:
- name: Ensure legacy workspace directory
file:
path: '{{ ansible_user_dir }}/workspace'
state: directory
- shell:
cmd: |
set -e
set -x
CLONEMAP=`mktemp`
function cleanup {
# In cases where zuul-cloner is aborted during a git
# clone operation, git will remove the git work tree in
# its cleanup. The work tree in these jobs is the
# workspace directory, which means that subsequent
# jenkins post-build actions can not run because the
# workspace has been removed.
# To reduce the likelihood of this having an impact,
# recreate the workspace directory if needed
mkdir -p $WORKSPACE
rm -f $CLONEMAP
}
trap cleanup EXIT
cat > $CLONEMAP << EOF
clonemap:
- name: $ZUUL_PROJECT
dest: .
EOF
/usr/zuul-env/bin/zuul-cloner -m $CLONEMAP --cache-dir /opt/git \
git://git.openstack.org $ZUUL_PROJECT
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
set -e
set -x
ZUUL_BRANCH_REAL=${ZUUL_BRANCH:-master}
# Workaround for puppet-ceph, where we need to checkout
# puppet-openstack-integration from stable/pike when working on
# stable/jewel.
# Ceph Jewel works with Newton to Pike
if [[ "$ZUUL_BRANCH" == "stable/jewel" ]]; then
ZUUL_BRANCH_REAL='stable/pike'
fi
export ZUUL_REF=${ZUUL_REF:-None}
CLONEMAP=`mktemp`
function cleanup {
rm -f $CLONEMAP
}
trap cleanup EXIT
cat > $CLONEMAP << EOF
clonemap:
- name: openstack/puppet-openstack-integration
dest: puppet-openstack-integration
EOF
/usr/zuul-env/bin/zuul-cloner -m $CLONEMAP \
--cache-dir /opt/git \
--zuul-branch $ZUUL_BRANCH_REAL \
git://git.openstack.org openstack/puppet-openstack-integration
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
set -e
set -x
if [ -f /usr/bin/yum ]; then
sudo yum -y remove rdo-release "centos-release-openstack-*" "centos-release-ceph-*"
sudo yum -y install libxml2-devel libxslt-devel ruby-devel zlib-devel
sudo yum -y groupinstall "Development Tools"
# Uninstall python-requests from pip, since we install it in
# system-config/install_puppet.sh
sudo pip uninstall requests -y || true
elif [ -f /usr/bin/apt-get ]; then
sudo apt-get update
sudo apt-get install -y libxml2-dev libxslt-dev ruby-dev zlib1g-dev
fi
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
echo "" | sudo tee -a /etc/ssh/sshd_config
echo "Match address 127.0.0.1" | sudo tee -a /etc/ssh/sshd_config
echo " PermitRootLogin without-password" | sudo tee -a /etc/ssh/sshd_config
echo "" | sudo tee -a /etc/ssh/sshd_config
echo "Match address ::1" | sudo tee -a /etc/ssh/sshd_config
echo " PermitRootLogin without-password" | sudo tee -a /etc/ssh/sshd_config
mkdir -p .ssh
ssh-keygen -f ~/.ssh/id_rsa -b 2048 -P ""
sudo mkdir -p /root/.ssh
cat ~/.ssh/id_rsa.pub | sudo tee -a /root/.ssh/authorized_keys
if [ -f /usr/bin/yum ]; then
sudo systemctl reload sshd
elif [ -f /usr/bin/apt-get ]; then
sudo service ssh restart
fi
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
trap "puppet-openstack-integration/copy_logs.sh" EXIT
mkdir .bundled_gems
export GEM_HOME=`pwd`/.bundled_gems
gem install bundler --no-rdoc --no-ri --verbose
$GEM_HOME/bin/bundle install --retry 3
export BEAKER_set=nodepool-trusty
export BEAKER_debug=yes
export BEAKER_color=no
$GEM_HOME/bin/bundle exec rspec spec/acceptance
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'

View File

@ -1,15 +0,0 @@
- hosts: primary
tasks:
- name: Copy files from {{ ansible_user_dir }}/workspace/ on node
synchronize:
src: '{{ ansible_user_dir }}/workspace/'
dest: '{{ zuul.executor.log_root }}'
mode: pull
copy_links: true
verify_host: true
rsync_opts:
- --include=/logs/**
- --include=*/
- --exclude=*
- --prune-empty-dirs

View File

@ -1,127 +0,0 @@
- hosts: all
name: Autoconverted job legacy-puppet-openstackci-puppet-beaker-rspec from old job
gate-puppet-openstackci-puppet-beaker-rspec-ubuntu-xenial
roles:
- bindep
tasks:
- name: Ensure legacy workspace directory
file:
path: '{{ ansible_user_dir }}/workspace'
state: directory
- shell:
cmd: |
set -e
set -x
CLONEMAP=`mktemp`
function cleanup {
# In cases where zuul-cloner is aborted during a git
# clone operation, git will remove the git work tree in
# its cleanup. The work tree in these jobs is the
# workspace directory, which means that subsequent
# jenkins post-build actions can not run because the
# workspace has been removed.
# To reduce the likelihood of this having an impact,
# recreate the workspace directory if needed
mkdir -p $WORKSPACE
rm -f $CLONEMAP
}
trap cleanup EXIT
cat > $CLONEMAP << EOF
clonemap:
- name: $ZUUL_PROJECT
dest: .
EOF
/usr/zuul-env/bin/zuul-cloner -m $CLONEMAP --cache-dir /opt/git \
git://git.openstack.org $ZUUL_PROJECT
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
set -e
set -x
ZUUL_BRANCH_REAL=${ZUUL_BRANCH:-master}
# Workaround for puppet-ceph, where we need to checkout
# puppet-openstack-integration from stable/pike when working on
# stable/jewel.
# Ceph Jewel works with Newton to Pike
if [[ "$ZUUL_BRANCH" == "stable/jewel" ]]; then
ZUUL_BRANCH_REAL='stable/pike'
fi
export ZUUL_REF=${ZUUL_REF:-None}
CLONEMAP=`mktemp`
function cleanup {
rm -f $CLONEMAP
}
trap cleanup EXIT
cat > $CLONEMAP << EOF
clonemap:
- name: openstack/puppet-openstack-integration
dest: puppet-openstack-integration
EOF
/usr/zuul-env/bin/zuul-cloner -m $CLONEMAP \
--cache-dir /opt/git \
--zuul-branch $ZUUL_BRANCH_REAL \
git://git.openstack.org openstack/puppet-openstack-integration
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
set -e
set -x
if [ -f /usr/bin/yum ]; then
sudo yum -y remove rdo-release "centos-release-openstack-*" "centos-release-ceph-*"
sudo yum -y install libxml2-devel libxslt-devel ruby-devel zlib-devel
sudo yum -y groupinstall "Development Tools"
# Uninstall python-requests from pip, since we install it in
# system-config/install_puppet.sh
sudo pip uninstall requests -y || true
elif [ -f /usr/bin/apt-get ]; then
sudo apt-get update
sudo apt-get install -y libxml2-dev libxslt-dev ruby-dev zlib1g-dev
fi
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
echo "" | sudo tee -a /etc/ssh/sshd_config
echo "Match address 127.0.0.1" | sudo tee -a /etc/ssh/sshd_config
echo " PermitRootLogin without-password" | sudo tee -a /etc/ssh/sshd_config
echo "" | sudo tee -a /etc/ssh/sshd_config
echo "Match address ::1" | sudo tee -a /etc/ssh/sshd_config
echo " PermitRootLogin without-password" | sudo tee -a /etc/ssh/sshd_config
mkdir -p .ssh
ssh-keygen -f ~/.ssh/id_rsa -b 2048 -P ""
sudo mkdir -p /root/.ssh
cat ~/.ssh/id_rsa.pub | sudo tee -a /root/.ssh/authorized_keys
if [ -f /usr/bin/yum ]; then
sudo systemctl reload sshd
elif [ -f /usr/bin/apt-get ]; then
sudo service ssh restart
fi
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'
- shell:
cmd: |
trap "puppet-openstack-integration/copy_logs.sh" EXIT
mkdir .bundled_gems
export GEM_HOME=`pwd`/.bundled_gems
gem install bundler --no-rdoc --no-ri --verbose
$GEM_HOME/bin/bundle install --retry 3
export BEAKER_set=nodepool-xenial
export BEAKER_debug=yes
export BEAKER_color=no
$GEM_HOME/bin/bundle exec rspec spec/acceptance
executable: /bin/bash
chdir: '{{ ansible_user_dir }}/workspace'
environment: '{{ zuul | zuul_legacy_vars }}'

View File

@ -1527,131 +1527,6 @@
required-projects:
- openstack-infra/puppet-openstackci
- job:
name: legacy-openstackci-base
parent: legacy-base
required-projects:
- openstack-infra/project-config
- openstack-infra/puppet-accessbot
- openstack-infra/puppet-ansible
- openstack-infra/puppet-askbot
- openstack-infra/puppet-asterisk
- openstack-infra/puppet-bandersnatch
- openstack-infra/puppet-bugdaystats
- openstack-infra/puppet-bup
- openstack-infra/puppet-cgit
- openstack-infra/puppet-diskimage_builder
- openstack-infra/puppet-drupal
- openstack-infra/puppet-elastic_recheck
- openstack-infra/puppet-elasticsearch
- openstack-infra/puppet-ethercalc
- openstack-infra/puppet-etherpad_lite
- openstack-infra/puppet-exim
- openstack-infra/puppet-germqtt
- openstack-infra/puppet-gerrit
- openstack-infra/puppet-gerritbot
- openstack-infra/puppet-github
- openstack-infra/puppet-grafyaml
- openstack-infra/puppet-graphite
- openstack-infra/puppet-haveged
- openstack-infra/puppet-hound
- openstack-infra/puppet-httpd
- openstack-infra/puppet-bugdaystats
- openstack-infra/puppet-bup
- openstack-infra/puppet-cgit
- openstack-infra/puppet-diskimage_builder
- openstack-infra/puppet-drupal
- openstack-infra/puppet-elastic_recheck
- openstack-infra/puppet-elasticsearch
- openstack-infra/puppet-ethercalc
- openstack-infra/puppet-etherpad_lite
- openstack-infra/puppet-exim
- openstack-infra/puppet-germqtt
- openstack-infra/puppet-gerrit
- openstack-infra/puppet-gerritbot
- openstack-infra/puppet-github
- openstack-infra/puppet-grafyaml
- openstack-infra/puppet-graphite
- openstack-infra/puppet-haveged
- openstack-infra/puppet-hound
- openstack-infra/puppet-httpd
- openstack-infra/puppet-infracloud
- openstack-infra/puppet-iptables
- openstack-infra/puppet-jeepyb
- openstack-infra/puppet-jenkins
- openstack-infra/puppet-kerberos
- openstack-infra/puppet-kibana
- openstack-infra/puppet-lodgeit
- openstack-infra/puppet-log_processor
- openstack-infra/puppet-logrotate
- openstack-infra/puppet-logstash
- openstack-infra/puppet-lpmqtt
- openstack-infra/puppet-mailman
- openstack-infra/puppet-mediawiki
- openstack-infra/puppet-meetbot
- openstack-infra/puppet-mosquitto
- openstack-infra/puppet-mqtt_statsd
- openstack-infra/puppet-mysql_backup
- openstack-infra/puppet-nodepool
- openstack-infra/puppet-odsreg
- openstack-infra/puppet-openafs
- openstack-infra/puppet-openstackci
- openstack-infra/puppet-openstack_health
- openstack-infra/puppet-openstackid
- openstack-infra/puppet-openstack_infra_spec_helper
- openstack-infra/puppet-os_client_config
- openstack-infra/puppet-packagekit
- openstack-infra/puppet-pgsql_backup
- openstack-infra/puppet-phabricator
- openstack-infra/puppet-pip
- openstack-infra/puppet-planet
- openstack-infra/puppet-project_config
- openstack-infra/puppet-ptgbot
- openstack-infra/puppet-redis
- openstack-infra/puppet-refstack
- openstack-infra/puppet-reviewday
- openstack-infra/puppet-simpleproxy
- openstack-infra/puppet-snmpd
- openstack-infra/puppet-ssh
- openstack-infra/puppet-ssl_cert_check
- openstack-infra/puppet-stackalytics
- openstack-infra/puppet-statusbot
- openstack-infra/puppet-storyboard
- openstack-infra/puppet-subunit2sql
- openstack-infra/puppet-sudoers
- openstack-infra/puppet-tmpreaper
- openstack-infra/puppet-ulimit
- openstack-infra/puppet-unattended_upgrades
- openstack-infra/puppet-unbound
- openstack-infra/puppet-user
- openstack-infra/puppet-zanata
- openstack-infra/puppet-zuul
- openstack/puppet-openstack-integration
- openstack-infra/system-config
- job:
name: legacy-puppet-openstackci-puppet-beaker-rspec
parent: legacy-openstackci-base
run: playbooks/legacy/puppet-openstackci-puppet-beaker-rspec/run.yaml
post-run: playbooks/legacy/puppet-openstackci-puppet-beaker-rspec/post.yaml
timeout: 3600
- job:
name: legacy-puppet-openstackci-puppet-beaker-rspec-centos-7
parent: legacy-openstackci-base
run: playbooks/legacy/puppet-openstackci-puppet-beaker-rspec-centos-7/run.yaml
post-run: playbooks/legacy/puppet-openstackci-puppet-beaker-rspec-centos-7/post.yaml
timeout: 3600
nodeset: legacy-centos-7
- job:
name: legacy-puppet-openstackci-puppet-beaker-rspec-ubuntu-trusty
parent: legacy-openstackci-base
run: playbooks/legacy/puppet-openstackci-puppet-beaker-rspec-ubuntu-trusty/run.yaml
post-run: playbooks/legacy/puppet-openstackci-puppet-beaker-rspec-ubuntu-trusty/post.yaml
timeout: 3600
nodeset: legacy-ubuntu-trusty
- job:
name: legacy-puppet-storyboard-forge-upload
parent: legacy-puppet-openstack-integration